Bug 177867 - mailman BounceRunner dies with ValueError : day of year out of range
mailman BounceRunner dies with ValueError : day of year out of range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 16:54 EST by Derek Atkins
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 11:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2006-01-15 16:54:11 EST
Description of problem:

The mailman bouncerunner in FC4 dies with the following error:

Jan 15 01:46:08 2006 qrunner(12639):   File "/usr/lib/mailman/bin/qrunner", line
230, in main
Jan 15 01:46:08 2006 qrunner(12639):      qrunner.run()
Jan 15 01:46:08 2006 qrunner(12639):   File
"/usr/lib/mailman/Mailman/Queue/Runner.py", line 87, in run
Jan 15 01:46:08 2006 qrunner(12639):      self._cleanup()
Jan 15 01:46:08 2006 qrunner(12639):   File
"/usr/lib/mailman/Mailman/Queue/BounceRunner.py", line 220, in _cleanup
Jan 15 01:46:08 2006 qrunner(12639):      BounceMixin._cleanup(self)
Jan 15 01:46:08 2006 qrunner(12639):   File
"/usr/lib/mailman/Mailman/Queue/BounceRunner.py", line 132, in _cleanup
Jan 15 01:46:08 2006 qrunner(12639):      self._register_bounces()
Jan 15 01:46:08 2006 qrunner(12639):   File
"/usr/lib/mailman/Mailman/Queue/BounceRunner.py", line 120, in _register_bounces
Jan 15 01:46:08 2006 qrunner(12639):      mlist.registerBounce(addr, msg, day=day)
Jan 15 01:46:08 2006 qrunner(12639):   File
"/usr/lib/mailman/Mailman/Bouncer.py", line 131, in registerBounce
Jan 15 01:46:08 2006 qrunner(12639):      time.strftime('%d-%b-%Y', day + (0,)*6))
Jan 15 01:46:08 2006 qrunner(12639): ValueError :  day of year out of range


Version-Release number of selected component (if applicable):

mailman-2.1.5-35.fc4
python-2.4.1-2

How reproducible:

Every time

Steps to Reproduce:
1. Run Mailman
2. Wait for a bounce
3. See the bouncerunner crash
  
Actual results:

See error message above

Expected results:

The bouncerunner shouldn't crash -- it should process the bounces.

Additional info:

This is discussed on the mailman list:
http://mail.python.org/pipermail/mailman-users/2005-March/043640.html

The proposed patch fixes the problem.
Comment 1 Harald Hoyer 2006-05-12 02:24:56 EDT
Please test:
http://www.redhat.com/archives/fedora-test-list/2006-May/msg00131.html
Comment 2 Christian Iseli 2007-01-22 06:03:04 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Tomas Smetana 2007-04-17 11:01:45 EDT
This was fixed in mailman 2.1.6 and is not present in FC5 or newer.
https://sourceforge.net/tracker/?func=detail&atid=100103&aid=1394696&group_id=103

Note You need to log in before you can comment on or make changes to this bug.